Subject: Re: Signal handling for cygwin.dll
From: [email-masked] (Mumit Khan)

4 Apr 1997 04:01:34 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Sergey Okhapkin <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: Your message of "Tue, 01 Apr 1997 16:09:43 +0400."
             <[email-masked]> 
Original-Sender: [email-masked]

Sergey Okhapkin <[email-masked]> writes:
> Hi!
> 
> This patch adds interprocess signals support with (almost :-) unix 
> semantics for cygwin.dll while running on Windows NT. The only supported 
> signal on Windows 95 is SIGKILL, because of Win32 API call 
> CreateRemoteThread() is not supported on W95, and I don't see any way to 
> implement signals without this call easy... This patch also includes my 
> "Ctrl-C in bash" patch. Any bug reports/improvements are welcome. To test 
> this patch I've used the following simple program:

Hi Sergey,

Thank you for these patches! The only thing I can add is the following
trivial patchlet:

*** newlib/libc/include/signal.h.~1     Thu Apr  3 23:31:59 1997
--- newlib/libc/include/signal.h        Thu Apr  3 23:32:28 1997
*************** extern "C" {
*** 6,9 ****
--- 6,10 ----
  
  #include "_ansi.h"
+ #include <sys/types.h>                        /* needed for pid_t */
  #include <sys/signal.h>

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".